package com.repair.services;

import com.baomidou.mybatisplus.extension.service.IService;
import com.repair.model.pojo.RepairArea;
import com.repair.model.result.PageUtils;
import com.repair.model.vo.RepairSchoolVo;

import java.util.List;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author ceshi
 * @since 2023-07-12
 */
public interface RepairAreaService extends IService<RepairArea> {
    int insertRepairArea(RepairArea rns);

    int updateRepairArea(RepairArea rns);

    PageUtils<RepairArea> queryPageRepairAreas(int currentPage, int pageCount, String name);

    int deleteRepairAreaById(int id);

    RepairArea getRepairById(int id);

    List<RepairSchoolVo> queryRepairSchools();

    List<RepairArea> getRepairAreas();

    RepairArea queryAreaByName(String name, Integer parentId);

    RepairArea getRepairByName(String name);
}
